﻿using System;
using JsonSrcGen;

namespace ConsoleApp2
{
    // Install-Package JsonSrcGen
    class Program
    {
        static void Main(string[] args)
        {
            var converter = new JsonConverter();

            ReadOnlySpan<char> json = converter.ToJson(new MyType() { MyProperty = "Some value" });
            Console.WriteLine(json.ToString());

            var myType = new MyType();
            converter.FromJson(myType, "{ \"my_name\" : \"Some value\" }");
            // 또는, converter.FromJson(myType, json);

            Console.WriteLine(myType);
        }
    }


    [Json]
    public class MyType
    {
        [JsonName("my_name")]
        public string MyProperty { get; set; }

        [JsonIgnore]
        public string IgnoredProperty { get; set; }

        public override string ToString()
        {
            return $"MyProperty = {MyProperty}";
        }
    }
}


